Subject: Re: i see no perl executable around there
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 10 Aug 2004 16:27:26 +0200

Hello Steve,

Am Dienstag, 10. August 2004 um 05:23 schriebst du:

> I downloaded perl5.8.5:
> % perl --version

> This is perl, v5.8.5 built for cygwin-thread-multi-64int

> Copyright 1987-2004, Larry Wall

> When I tried to build Compress::Zlib manually, I got the message:

> LD_RUN_PATH="" ld2  -s -L/usr/local/lib Zlib.o adler32.o compress.o 
> crc32.o gzio.o uncompr.o deflate.o trees.o zutil.o inflate.o infblock.o
> inftrees.o infcodes.o infutil.o inffast.o   -o 
> blib/arch/auto/Compress/Zlib/Zlib.dll  
> /usr/lib/perl5/5.8.5/cygwin-thread-multi-64int/CORE/libperl.dll.a
> i see no perl executable around there
> perl is required to build dynamic libraries
> go fetch one or build this one static
> MAKE: *** [blib/arch/auto/Compress/Zlib/Zlib.dll] Error 1

> Any idea what the problem is?

ld2 is broken (for you), it should contain s.th. like this:

for trythis in /usr/bin/perl
do
  if [ -x $trythis ]
  then
    $trythis /usr/bin/perlld "$@"
    exit $?
  fi
done
# hard luck!
echo I see no perl executable around there
...
exit 1

It is used during perl builds, that means the previously installed ld2
in /usr/bin is overwritten during the build since the build needs ld2
containing a reference to the newly created perl instead of the old
perl.  If the old ld2 is in PATH it would be picked up at first and
therefore it was needed to write in the system directory during the
build.

If you finish a perl build the make install step will fix the ld2 to
contain what the release version contains, if you don't install perl
into /usr/bin, it needs manually fixing.  Isn't this already in the
README.cygwin (aka perldoc perlcygwin) included?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/